Skip to main content
`Ctrl`+`K`

# KSPGetPCSide

Gets the preconditioning side.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetPCSide(KSP ksp, PCSide *side)

Not Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## Output Parameter

- side - the preconditioning side, where side is one of

      PC_LEFT      - left preconditioning (default)
      PC_RIGHT     - right preconditioning
      PC_SYMMETRIC - symmetric preconditioning

## See Also

KSP: Linear System Solvers, `KSPSetPCSide()`, `KSP`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages